#ifndef _I386_BUG_H
#define _I386_BUG_H

#include <linux/config.h>

/*
 * Tell the user there is some problem.
 * The offending file and line are encoded after the "officially
 * undefined" opcode for parsing in the trap handler.
 */

#if 1	/* Set to zero for a slightly smaller kernel */
#ifdef CONFIG_COOPERATIVE
#include <linux/cooperative.h>
extern void co_terminate(co_termination_reason_t reason);
#define BUG() do { co_terminate(CO_TERMINATE_BUG); } while(0)
#else
#define BUG()				\
 __asm__ __volatile__(	"ud2\n"		\
			"\t.word %c0\n"	\
			"\t.long %c1\n"	\
			 : : "i" (__LINE__), "i" (__FILE__))
#endif
#else
#define BUG() __asm__ __volatile__("ud2\n")
#endif

#define HAVE_ARCH_BUG
#include <asm-generic/bug.h>

#endif
